Time.h functions

Functions
Time.h functions
Evil

This header provides functions ported from Unix in time.h. More...

## Functions
struct tm * | evil_localtime_r (const time_t *timep, struct tm *result)
| Convert the calendar time to broken-time representation in a user supplied data. More...
char * | strptime (const char *buf, const char *fmt, struct tm *tm)
| Convert a string representation of time to a time tm structure . More...

## Detailed Description

This header provides functions ported from Unix in time.h.

## Function Documentation

## ◆ evil_localtime_r()

struct tm* evil_localtime_r | ( | const time_t * | timep,
|  | struct tm * | result
| ) |  |

Convert the calendar time to broken-time representation in a user supplied data.

Parameters

  timep | The calender time.
  result | The broken-down time representation.

Returns
  The broken-down time representation.

This function converts the calendar time `timep` to a broken-time representation. The result is stored in the buffer `result` supplied by the user. If `timep` or `result` are `NULL`, or if an error occurred, this function returns `NULL` and the values in `result` might be undefined. Otherwise it returns `result`.

Conformity: Non applicable.

Supported OS: Windows XP.

## ◆ strptime()

char* strptime | ( | const char * | buf,
|  | const char * | fmt,
|  | struct tm * | tm
| ) |  |

Convert a string representation of time to a time tm structure .

Parameters

  buf | The string to convert.
  fmt | The representation of time. tm The time tm structure.

Returns
  The first character not processed in this function call.

This function converts the string `s` to a time tm structure and fill the buffer `tm`. The format of the time is specified by `format`. on success, this function returns the first character not processed in this function call, `NULL` otherwise.

Conformity: Non applicable.

Supported OS: Windows XP.

References strptime().

Referenced by eina_value_util_time_string_new(), and strptime().